Bug 117402 - Invalid HTML for nested lists with Impress Preview in Web Browser
Summary: Invalid HTML for nested lists with Impress Preview in Web Browser
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
6.1.0.0.alpha1+
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: HTML-Import
  Show dependency treegraph
 
Reported: 2018-05-03 07:29 UTC by lechten
Modified: 2021-05-15 04:17 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
Sample presentation with nested list (11.33 KB, application/vnd.oasis.opendocument.presentation)
2018-05-03 07:31 UTC, lechten
Details

Note You need to log in before you can comment on or make changes to this bug.
Description lechten 2018-05-03 07:29:40 UTC
Description:
In Impress, function File->Preview in Web Browser generates the presentation in HTML. Nested lists lead to invalid HTML, where sublists are not part of the preceding list item.  See there for a discussion how HTML lists may look like:
https://stackoverflow.com/questions/5899337/proper-way-to-make-html-nested-list
Option 1 is what Impress produces, while option 2 would be correct.

Steps to Reproduce:
1. Open new presentation
2. Create nested list
3. Validate HTML shown after File->Preview in Web  Browser

Actual Results:  
Invalid HTML.
I'm not sure whether this will be displayed correctly, but I'll try anyways:

<ul>
<li>A list item</li>
<ul>
<li>Deeper Nesting</li>
</ul>
</ul>

Expected Results:
Valid HTML

<ul>
<li>A list item
<ul>
<li>Deeper Nesting</li>
</ul></li>
</ul>


Reproducible: Always


User Profile Reset: No



Additional Info:


User-Agent: Mozilla/5.0 (X11; Fedora; Linux x86_64; rv:50.0) Gecko/20100101 Firefox/50.0
Comment 1 lechten 2018-05-03 07:31:30 UTC
Created attachment 141856 [details]
Sample presentation with nested list

The attachment provides a sample presentation with a nested list.
Comment 2 Julien Nabet 2018-05-05 07:44:28 UTC
On pc Debian x86-64 with master sources updated yesterday, I could reproduce this.
Comment 3 Julien Nabet 2018-05-07 14:08:37 UTC
Miklos: I noticed f0e3a36f6508dcfa0a3c672e15e15f3582e02110 and tried it locally.
Badfully it didn't work but thought you might be interested in this one since it may concern the same code area.
Comment 4 QA Administrators 2019-05-09 03:02:19 UTC Comment hidden (obsolete)
Comment 5 lechten 2019-05-15 06:41:41 UTC
The bug is still present with the newest stable version:
Version: 6.2.3.2
Build ID: aecc05fe267cc68dde00352a451aa867b3b546ac
CPU threads: 2; OS: Linux 4.14; UI render: default; VCL: gtk2; 
Locale: en-US (en_US.UTF-8); UI-Language: en-US
Calc: threaded
Comment 6 QA Administrators 2021-05-15 04:17:45 UTC
Dear lechten,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug